<?php if (!defined('PmWiki')) exit();
/*  Copyright 2007-2008 Matt Holmes.

	GuiEdit Resize:
	  This PmWiki cookbook recipe adds 3 buttons to the GuiEdit toolbar, 
	  allowing the user to the expand, reduce, or reset the height of the
	  Edit text box.  This affords a more flexible and convenient PmWiki
	  page editing environment.
	  http://www.pmwiki.org/wiki/Cookbook/GuiEditResize
	
	Recipe File Structure:
	  cookbook/guieditresize.php (this file)
	  pub/guieditresize/guieditresize.js
	  pub/guieditresize/textdefault.gif
	  pub/guieditresize/textless.gif
	  pub/guieditresize/textmore.gif
	
	Installation:
	  Place guieditresize.php in the cookbook/ folder
	  Place the guieditresize folder (containing 4 files) in the pub/ folder
	  Add the following line to the <head> section of pub/skins/pmwiki/pmwiki.tmpl:
	    <script type="text/javascript" src="$GuiEditResizeDirUrl/guieditresize.js"></script>
	  Add the following line to the end of pub/config.php:
	    include_once("cookbook/guieditresize.php");
	
	Uninstallation:
	  Delete guieditresize.php from cookbook/
	  Delete the guieditresize folder from pub/
	  Remove the following line from the <head> section of pub/skins/pmwiki/pmwiki.tmpl:
	    <script type="text/javascript" src="$GuiEditResizeDirUrl/guieditresize.js"></script>
	  Remove the following line from PmWiki's config.php file:
	    include_once("cookbook/guieditresize.php");
		
	Revisions:
	2009-09-11 - by Rik Blok
		* made $GuiEditResizeDirUrl all lowercase for case-sensitive filesystems
		* no longer requires template modification
*/ 
# Version date
$RecipeInfo['GuiEditResize']['Version'] = '2009-09-11';

if ($action == 'edit') { 
	$GuiEditResizeDirUrl = "$PubDirUrl/guieditresize";

	$GUIButtons['textless'] = array(997, '', '', '',
		'<a href=\"#\" onclick=\"adjustTextAreaRows(\'text\',-5);\"><img src=\'$GuiEditResizeDirUrl/textless.gif\' title=\'Decrease Textarea Height\' /></a>');
	$GUIButtons['textdefault'] = array(998, '', '', '',
		'<a href=\"#\" onclick=\"adjustTextAreaRows(\'text\',0);\"><img src=\'$GuiEditResizeDirUrl/textdefault.gif\' title=\'Default Textarea Height\' /></a>');
	$GUIButtons['textmore'] = array(999, '', '', '',
		'<a href=\"#\" onclick=\"adjustTextAreaRows(\'text\',5);\"><img src=\'$GuiEditResizeDirUrl/textmore.gif\' title=\'Increase Textarea Height\' /></a>');

	$HTMLHeaderFmt['GuiEditResize'] = '
		<script src="$GuiEditResizeDirUrl/guieditresize.js"></script>
	';
}